New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

(simple fix) macOS `chmod` doesn't support `--recursive` flag. #739

Merged
merged 1 commit into from Oct 13, 2017

Conversation

Projects
None yet
2 participants
@dfornika
Copy link
Contributor

dfornika commented Sep 29, 2017

When launching planemo serve --engine docker_galaxy ... the following error msg appears on macOS:

chmod: illegal option -- -
usage:	chmod [-fhv] [-R [-H | -L | -P]] [-a | +a | =a  [i][# [ n]]] mode|entry file ...
	chmod [-fhv] [-R [-H | -L | -P]] [-E | -C | -N | -i | -I] file ...

Use -R instead of --recursive for better portability.

macOS `chmod` doesn't support `--recursive` flag.
When launching `planemo serve --engine docker_galaxy ...` the following error msg appears on macOS:

```
chmod: illegal option -- -
usage:	chmod [-fhv] [-R [-H | -L | -P]] [-a | +a | =a  [i][# [ n]]] mode|entry file ...
	chmod [-fhv] [-R [-H | -L | -P]] [-E | -C | -N | -i | -I] file ...
```

Use `-R` instead of `--recursive` for better portability.

@dfornika dfornika closed this Oct 2, 2017

@dfornika dfornika reopened this Oct 2, 2017

@jmchilton

This comment has been minimized.

Copy link
Member

jmchilton commented Oct 13, 2017

Great - thanks so much!

@jmchilton jmchilton merged commit 3242bc7 into galaxyproject:master Oct 13, 2017

1 check failed

continuous-integration/travis-ci/pr The Travis CI build failed
Details

@dfornika dfornika deleted the dfornika:patch-1 branch Oct 13, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment